; ----------------------------------------------------------------
; Z88DK INTERFACE LIBRARY FOR THE BIFROST* ENGINE - RELEASE 1.2/L
;
; See "bifrost.h" for further details
; ----------------------------------------------------------------
XLIB BIFROST_findAttrH_callee
XDEF asm_BIFROST_findAttrH

.BIFROST_findAttrH_callee
        pop hl          ; RET address
        pop bc          ; BC=col
        pop de          ; DE=lin
        push hl

.asm_BIFROST_findAttrH
        ld hl,$e540     ; reference 'deltas' inside BIFROST*
        add hl,bc
        ld c,(hl)       ; BC=delta
        ld h,d
        ld l,e          ; HL=lin
        add hl,hl       ; HL=lin*2
        add hl,hl       ; HL=lin*4
        add hl,de       ; HL=lin*5
        add hl,hl       ; HL=lin*10
        add hl,hl       ; HL=lin*20
        add hl,hl       ; HL=lin*40
        add hl,de       ; HL=lin*41
        add hl,bc       ; HL=lin*41 + delta
        ld de,58419     ; DE=59075 - 16*41
        add hl,de       ; HL=59075 + (lin-16)*41 + delta
        ret
