; ----------------------------------------------------------------
; Z88DK INTERFACE LIBRARY FOR THE BIFROST* ENGINE - RELEASE 1.2/L
;
; See "bifrost.h" for further details
; ----------------------------------------------------------------
XLIB BIFROST_getTile_callee
XDEF asm_BIFROST_getTile
XREF _BIFROST_tilemap

.BIFROST_getTile_callee
        pop hl          ; RET address
        pop bc          ; BC=py
        ex (sp),hl      ; HL=px

.asm_BIFROST_getTile
        ld a,l
        add a,a
        add a,a
        add a,a
        add a,l         ; A=px*9
        add a,c         ; A=px*9+py
        inc a           ; instead of: add a,_BIFROST_tilemap%256
        ld l,a
        ld h,_BIFROST_tilemap/256
        ld l,(hl)
        ld h,b
        ret
