; ----------------------------------------------------------------
; Z88DK INTERFACE LIBRARY FOR THE BIFROST* ENGINE - RELEASE 1.2/L
;
; See "bifrost.h" for further details
; ----------------------------------------------------------------
XLIB BIFROST_setTile_callee
XDEF asm_BIFROST_setTile
XREF _BIFROST_tilemap

.BIFROST_setTile_callee
        pop hl          ; RET address
        pop de          ; tile
        pop bc          ; py
        ex (sp),hl      ; px

.asm_BIFROST_setTile
        ld a,l
        add a,a
        add a,a
        add a,a
        add a,l         ; px*9
        add a,c         ; px*9+py
        inc a           ; instead of: add a,_BIFROST_tilemap%256
        ld l,a
        ld h,_BIFROST_tilemap/256
        ld (hl),e
        ret
